Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRShortIncrementerFactory

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRAbstractExtendedIncrementerFactory
          net.sf.jasperreports.engine.fill.JRShortIncrementerFactory

All Implemented Interfaces:
  JRExtendedIncrementerFactory, JRIncrementerFactory

    public final class JRShortIncrementerFactory

extends JRAbstractExtendedIncrementerFactory

Version:
  $Id: JRShortIncrementerFactory.java 3693 2010-04-06 14:43:13Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected static java.lang.Short` | `ZERO`

Method Summary
`JRExtendedIncrementer` | `getExtendedIncrementer(byte calculation)` Deprecated. Replaced by `getExtendedIncrementer(CalculationEnum)`
`JRExtendedIncrementer` | `getExtendedIncrementer(CalculationEnum calculation)`
`static JRShortIncrementerFactory` | `getInstance()`

Methods inherited from class net.sf.jasperreports.engine.fill.JRAbstractExtendedIncrementerFactory
`getIncrementer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO

    protected static final java.lang.Short ZERO

Method Detail

### getInstance

    public static JRShortIncrementerFactory getInstance()

### getExtendedIncrementer

    public JRExtendedIncrementer getExtendedIncrementer(byte calculation)

  Deprecated. Replaced by `getExtendedIncrementer(CalculationEnum)`

### getExtendedIncrementer

    public JRExtendedIncrementer getExtendedIncrementer(CalculationEnum calculation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com